## swirc 3.3.8

=== Makefile ===
include options.mk

CFLAGS += -Isrc/include
CXXFLAGS += -Isrc/include

PREFIX ?= /usr/local

all: main

include src/commands/build.mk
include src/events/build.mk
include src/build.mk

main: $(TGTS)

.c.o:
	$(E) "  CC      " $@
	$(Q) $(CC) $(CFLAGS) -c -o $@ $<

.cpp.o:
	$(E) "  CXX     " $@
	$(Q) $(CXX) $(CXXFLAGS) -c -o $@ $<

include tests/recompile.mk

check: gen-hdr $(OBJS)
	$(RM) $(RECOMPILE)
	$(Q) strip --strip-symbol=main $(SRC_DIR)main.o
	$(MAKE) -Ctests

# install target
include install.mk

clean:
	$(E) "  CLEAN"
	$(RM) $(OBJS)
	$(RM) $(SRC_DIR)include/swircpaths.h
	$(RM) $(TGTS)
	$(RM) -R swirc.analyze
	$(RM) swirc.html
	$(RM) swirc.static.html
	$(MAKE) -Cpo clean
	$(MAKE) -Ctests clean

=== debian/changelog ===
swirc (3.3.8-1) unstable; urgency=medium

  * Initial import. (Closes: #1021993)

 -- Markus Uhlin <markus.uhlin@bredband.net>  Sun, 27 Nov 2022 18:15:43 +0100

=== debian/control ===
Source: swirc
Maintainer: Markus Uhlin <markus.uhlin@bredband.net>
Section: net
Priority: optional
Build-Depends:
  debhelper-compat (= 13),
  gettext,
  libcmocka-dev,
  libcurl4-openssl-dev | libcurl4-gnutls-dev | libcurl4-nss-dev,
  libidn11-dev,
  libncursesw5-dev,
  libnotify-dev,
  libssl-dev
Standards-Version: 4.6.1.0
Homepage: https://www.nifty-networks.net/swirc/
Vcs-Browser: https://github.com/uhlin/swirc
Vcs-Git: https://github.com/uhlin/swirc.git
Rules-Requires-Root: no

Package: swirc
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Recommends: dunst | notification-daemon | notify-osd
Description: Curses ICB and IRC client
 Swirc is a BSD licensed, console based and lightweight ICB and IRC
 client written in C/C++, whose goals are to be portable and secure.
 .
 Features:
  * TLS/SSL
  * Multiple IRCv3 features such as SASL auth mechanism
  * Themes
  * And more...

## swirc 3.3.9

=== Makefile ===
--- 
+++ 
@@ -33,8 +33,11 @@
 
 clean:
 	$(E) "  CLEAN"
+	$(RM) $(COMMANDS_DIR)*.c.smatch
+	$(RM) $(EVENTS_DIR)*.c.smatch
+	$(RM) $(SRC_DIR)*.c.smatch
+	$(RM) $(SRC_DIR)include/swircpaths.h
 	$(RM) $(OBJS)
-	$(RM) $(SRC_DIR)include/swircpaths.h
 	$(RM) $(TGTS)
 	$(RM) -R swirc.analyze
 	$(RM) swirc.html

=== debian/changelog ===
swirc (3.3.9-1) unstable; urgency=medium

  * New upstream version
  * Adds support for GNU Hurd
  * Fixes building on riscv64

 -- Markus Uhlin <markus.uhlin@bredband.net>  Sat, 07 Jan 2023 04:40:19 +0100

swirc (3.3.8-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * No change source-only upload for testing migration.

 -- Boyuan Yang <byang@debian.org>  Wed, 07 Dec 2022 14:24:18 -0500

## swirc 3.4.0

=== debian/changelog ===
swirc (3.4.0-1) unstable; urgency=medium

  * New upstream version.
  * Adds support for spell-checking (thus added a build-dep on Hunspell).

 -- Markus Uhlin <markus.uhlin@bredband.net>  Fri, 10 Feb 2023 05:22:11 +0100

=== debian/control ===
--- 
+++ 
@@ -7,6 +7,7 @@
   gettext,
   libcmocka-dev,
   libcurl4-openssl-dev | libcurl4-gnutls-dev | libcurl4-nss-dev,
+  libhunspell-dev,
   libidn11-dev,
   libncursesw5-dev,
   libnotify-dev,

## swirc 3.4.1

=== debian/changelog ===
swirc (3.4.1-1) unstable; urgency=medium

  * New upstream version. (A few but good changes.)
  * Updated obsolete package names in 'Build-Depends'.

 -- Markus Uhlin <markus.uhlin@bredband.net>  Sat, 18 Feb 2023 20:36:55 +0100

## swirc 3.4.2

=== tests/Makefile ===
ROOT = ../
COMMANDS_DIR := $(ROOT)src/commands/
EVENTS_DIR := $(ROOT)src/events/
SRC_DIR := $(ROOT)src/

TEST_LOGFILE ?= /tmp/run.log

include $(ROOT)options.mk

CFLAGS += -DUNIT_TESTING=1\
	-I$(SRC_DIR)\
	-I$(SRC_DIR)include\
	-I/usr/local/include

CXXFLAGS += -DUNIT_TESTING=1\
	-I$(SRC_DIR)\
	-I$(SRC_DIR)include\
	-I/usr/local/include

LDLIBS += -lcmocka

all: main

include recompile.mk
include tests.mk

main: $(RECOMPILE) $(TESTS)
	./run > "$(TEST_LOGFILE)"
	$(E) "$(TEST_LOGFILE) written"

.SUFFIXES: .c .cpp .o .run

.c.o:
	$(E) "  CC      " $@
	$(Q) $(CC) $(CFLAGS) -c -o $@ $<

.cpp.o:
	$(E) "  CXX     " $@
	$(Q) $(CXX) $(CXXFLAGS) -c -o $@ $<

.o.run:
	$(E) "  LINK    " $@
	$(Q) $(CXX) $(CXXFLAGS) -o $@ $< \
	    $(COMMANDS_DIR)*.o $(EVENTS_DIR)*.o $(SRC_DIR)*.o \
	    $(LDFLAGS) $(LDLIBS)
	$(Q) strip $@

clean:
	$(E) "  CLEAN"
	$(RM) "$(TEST_LOGFILE)"
	$(RM) $(TESTS)
	$(RM) *.o

=== debian/changelog ===
swirc (3.4.2-1) unstable; urgency=medium

  * New upstream version. Bug fix release.

 -- Markus Uhlin <markus.uhlin@bredband.net>  Wed, 22 Feb 2023 19:17:29 +0100

=== debian/control ===
--- 
+++ 
@@ -8,8 +8,8 @@
   libcmocka-dev,
   libcurl4-openssl-dev | libcurl4-gnutls-dev | libcurl4-nss-dev,
   libhunspell-dev,
-  libidn11-dev,
-  libncursesw5-dev,
+  libidn-dev | libidn11-dev,
+  libncurses-dev,
   libnotify-dev,
   libssl-dev
 Standards-Version: 4.6.1.0

## swirc 3.4.3

=== debian/changelog ===
swirc (3.4.3-1) unstable; urgency=medium

  * New upstream version.
  * Code improvements and new translations.

 -- Markus Uhlin <markus.uhlin@bredband.net>  Fri, 10 Mar 2023 17:17:52 +0100

## swirc 3.4.4

=== debian/changelog ===
swirc (3.4.4-1) unstable; urgency=medium

  * New upstream version.

 -- Markus Uhlin <markus.uhlin@bredband.net>  Sat, 29 Jul 2023 15:51:17 +0200

## swirc 3.4.5

=== debian/changelog ===
swirc (3.4.5-1) unstable; urgency=medium

  * New upstream version.
  * Multiple new commands and events were added.

 -- Markus Uhlin <markus.uhlin@bredband.net>  Thu, 14 Sep 2023 20:43:29 +0200

## swirc 3.4.6

=== Makefile ===
--- 
+++ 
@@ -1,7 +1,6 @@
 include options.mk
 
-CFLAGS += -Isrc/include
-CXXFLAGS += -Isrc/include
+CPPFLAGS += -Isrc/include
 
 PREFIX ?= /usr/local
 
@@ -15,11 +14,11 @@
 
 .c.o:
 	$(E) "  CC      " $@
-	$(Q) $(CC) $(CFLAGS) -c -o $@ $<
+	$(Q) $(CC) $(CFLAGS) $(CPPFLAGS) -c -o $@ $<
 
 .cpp.o:
 	$(E) "  CXX     " $@
-	$(Q) $(CXX) $(CXXFLAGS) -c -o $@ $<
+	$(Q) $(CXX) $(CXXFLAGS) $(CPPFLAGS) -c -o $@ $<
 
 include tests/recompile.mk

=== debian/changelog ===
swirc (3.4.6-2build3) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- William Grant <wgrant@ubuntu.com>  Mon, 01 Apr 2024 19:23:05 +1100

swirc (3.4.6-2build2) noble; urgency=medium

  * No-change rebuild against libcurl4t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sat, 16 Mar 2024 07:04:04 +0000

swirc (3.4.6-2build1) noble; urgency=medium

  * No-change rebuild against libssl3t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Mon, 04 Mar 2024 21:29:09 +0000

swirc (3.4.6-2) unstable; urgency=medium

  * Fixed building on sid, or any setup where Ncurses is built using opaque
    types. (Closes: #1057940)
  * Updated my email address. The 'bredband.net' address will no longer exist
    after 16 January.

 -- Markus Uhlin <markus@nifty-networks.net>  Sat, 30 Dec 2023 06:59:58 +0100

swirc (3.4.6-1) unstable; urgency=medium

  * New upstream version.

 -- Markus Uhlin <markus.uhlin@bredband.net>  Sun, 05 Nov 2023 15:11:46 +0100

=== debian/control ===
--- 
+++ 
@@ -1,5 +1,6 @@
 Source: swirc
-Maintainer: Markus Uhlin <markus.uhlin@bredband.net>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Markus Uhlin <markus@nifty-networks.net>
 Section: net
 Priority: optional
 Build-Depends:
@@ -8,11 +9,11 @@
   libcmocka-dev,
   libcurl4-openssl-dev | libcurl4-gnutls-dev | libcurl4-nss-dev,
   libhunspell-dev,
-  libidn-dev | libidn11-dev,
+  libidn-dev,
   libncurses-dev,
   libnotify-dev,
   libssl-dev
-Standards-Version: 4.6.1.0
+Standards-Version: 4.6.2.0
 Homepage: https://www.nifty-networks.net/swirc/
 Vcs-Browser: https://github.com/uhlin/swirc
 Vcs-Git: https://github.com/uhlin/swirc.git

## swirc 3.4.7

=== debian/changelog ===
swirc (3.4.7-1) unstable; urgency=medium

  * New upstream version. Among other things it adds support for DCC.
  * Updated the signing key.

 -- Markus Uhlin <markus@nifty-networks.net>  Tue, 12 Mar 2024 21:56:05 +0100

## swirc 3.4.8

=== Makefile ===
--- 
+++ 
@@ -39,6 +39,9 @@
 	$(RM) $(OBJS)
 	$(RM) $(TGTS)
 	$(RM) -R swirc.analyze
+	$(RM) PVS-Studio.log
+	$(RM) report.tasks
+	$(RM) strace_out
 	$(RM) swirc.html
 	$(RM) swirc.static.html
 	$(MAKE) -Cpo clean

=== debian/changelog ===
swirc (3.4.8-1) unstable; urgency=medium

  * New upstream version.

 -- Markus Uhlin <markus@nifty-networks.net>  Tue, 04 Jun 2024 04:59:25 +0200

=== debian/control ===
--- 
+++ 
@@ -1,6 +1,5 @@
 Source: swirc
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Markus Uhlin <markus@nifty-networks.net>
+Maintainer: Markus Uhlin <markus@nifty-networks.net>
 Section: net
 Priority: optional
 Build-Depends:

## swirc 3.4.9

=== Makefile ===
--- 
+++ 
@@ -38,6 +38,7 @@
 	$(RM) $(SRC_DIR)include/swircpaths.h
 	$(RM) $(OBJS)
 	$(RM) $(TGTS)
+	$(RM) -R cov-int
 	$(RM) -R swirc.analyze
 	$(RM) PVS-Studio.log
 	$(RM) report.tasks

=== debian/changelog ===
swirc (3.4.9-1) unstable; urgency=medium

  * New upstream version.

 -- Markus Uhlin <markus@nifty-networks.net>  Sun, 28 Jul 2024 23:18:07 +0200

## swirc 3.5.0

=== debian/changelog ===
swirc (3.5.0-1) unstable; urgency=medium

  * New upstream version.

 -- Markus Uhlin <markus@nifty-networks.net>  Mon, 30 Sep 2024 20:47:14 +0200

## swirc 3.5.1

=== debian/changelog ===
swirc (3.5.1-1) unstable; urgency=medium

  * New upstream version.

 -- Markus Uhlin <markus@nifty-networks.net>  Sat, 09 Nov 2024 17:48:44 +0100

## swirc 3.5.2

=== debian/changelog ===
swirc (3.5.2-1) unstable; urgency=medium

  * New upstream version.

 -- Markus Uhlin <markus@nifty-networks.net>  Sat, 01 Feb 2025 11:17:38 +0100

## swirc 3.5.3

=== debian/changelog ===
swirc (3.5.3-1) unstable; urgency=medium

  * New upstream version. Bug fixes and small improvements.

 -- Markus Uhlin <markus@nifty-networks.net>  Sat, 08 Feb 2025 17:24:08 +0100

## swirc 3.5.4

=== Makefile ===
--- 
+++ 
@@ -22,7 +22,7 @@
 
 include tests/recompile.mk
 
-check: gen-hdr $(OBJS)
+check: $(SRC_DIR)include/swircpaths.h $(OBJS)
 	$(RM) $(RECOMPILE)
 	$(Q) strip --strip-symbol=main $(SRC_DIR)main.o
 	$(MAKE) -Ctests

=== debian/changelog ===
swirc (3.5.4-1) unstable; urgency=medium

  * New upstream version.

 -- Markus Uhlin <markus@nifty-networks.net>  Sat, 22 Feb 2025 19:28:20 +0100

=== debian/control ===
--- 
+++ 
@@ -30,4 +30,9 @@
   * TLS/SSL
   * Multiple IRCv3 features such as SASL auth mechanism
   * Themes
+  * DCC
+  * Identd
+  * Nicklist
+  * SOCKS 5 proxy
+  * Spell checking
   * And more...

## swirc 3.5.5

=== debian/changelog ===
swirc (3.5.5-1~exp1) experimental; urgency=medium

  * New upstream version.
    - Closes: #1104756.
    - Closes: #1105609.
  * Updated the 'Standards-Version' to 4.7.2.0.
  * Fixed the debian/copyright file with the 'lrc' tool.

 -- Markus Uhlin <markus@nifty-networks.net>  Sun, 18 May 2025 12:20:01 +0200

## swirc 3.5.6

=== Makefile ===
--- 
+++ 
@@ -22,13 +22,15 @@
 
 include tests/recompile.mk
 
+$(OBJS): $(SRC_DIR)include/swircpaths.h
+
 check: $(SRC_DIR)include/swircpaths.h $(OBJS)
 	$(RM) $(RECOMPILE)
 	$(Q) strip --strip-symbol=main $(SRC_DIR)main.o
 	$(MAKE) -Ctests
 
-# install target
-include install.mk
+include maketargets/install.mk
+include maketargets/tidy.mk
 
 clean:
 	$(E) "  CLEAN"

=== po/Makefile ===
ROOT = ../
COMMANDS_DIR := $(ROOT)src/commands/
EVENTS_DIR := $(ROOT)src/events/
SRC_DIR := $(ROOT)src/

include $(ROOT)options.mk
include common.mk

all: main

include targets/merge.mk

main: $(PKG).pot $(POFILES) $(MOFILES)

$(PKG).pot:
	$(Q) $(XGETTEXT) $(XGTFLAGS) $(INPUTFILES)

include targets/lang/de.mk
include targets/lang/fi.mk
include targets/lang/fr.mk
include targets/lang/sv.mk

clean:
	$(E) "  CLEAN"
	$(RM) $(PKG).pot
	$(RM) $(MOFILES)

=== tests/Makefile ===
--- 
+++ 
@@ -7,12 +7,7 @@
 
 include $(ROOT)options.mk
 
-CFLAGS += -DUNIT_TESTING=1\
-	-I$(SRC_DIR)\
-	-I$(SRC_DIR)include\
-	-I/usr/local/include
-
-CXXFLAGS += -DUNIT_TESTING=1\
+CPPFLAGS += -DUNIT_TESTING=1\
 	-I$(SRC_DIR)\
 	-I$(SRC_DIR)include\
 	-I/usr/local/include
@@ -32,11 +27,11 @@
 
 .c.o:
 	$(E) "  CC      " $@
-	$(Q) $(CC) $(CFLAGS) -c -o $@ $<
+	$(Q) $(CC) $(CFLAGS) $(CPPFLAGS) -c -o $@ $<
 
 .cpp.o:
 	$(E) "  CXX     " $@
-	$(Q) $(CXX) $(CXXFLAGS) -c -o $@ $<
+	$(Q) $(CXX) $(CXXFLAGS) $(CPPFLAGS) -c -o $@ $<
 
 .o.run:
 	$(E) "  LINK    " $@

=== debian/changelog ===
swirc (3.5.6-1) unstable; urgency=medium

  * New upstream version.

 -- Markus Uhlin <markus@nifty-networks.net>  Sat, 11 Oct 2025 11:31:44 +0200

=== debian/control ===
--- 
+++ 
@@ -12,7 +12,7 @@
   libncurses-dev,
   libnotify-dev,
   libssl-dev
-Standards-Version: 4.6.2.0
+Standards-Version: 4.7.2.0
 Homepage: https://www.nifty-networks.net/swirc/
 Vcs-Browser: https://github.com/uhlin/swirc
 Vcs-Git: https://github.com/uhlin/swirc.git

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS=hardening=+all
export PREFIX=/usr

override_dh_auto_clean:
	./configure --with-libnotify
	@make clean

override_dh_auto_configure:
	./configure --with-libnotify

# Don't automatically run the tests
override_dh_auto_test:
	@true

%:
	dh $@ --without autoreconf

=== debian/watch ===
version=4
opts="pgpsigurlmangle=s/$/.sig/" \
    https://www.nifty-networks.net/swirc/source-code.html \
    releases/swirc-(\d.*)\.tgz

## swirc 3.5.7

=== debian/changelog ===
swirc (3.5.7-1) unstable; urgency=medium

  * New upstream version.

 -- Markus Uhlin <markus@nifty-networks.net>  Thu, 01 Jan 2026 00:53:51 +0100

## swirc 3.5.8

=== Makefile ===
--- 
+++ 
@@ -42,10 +42,12 @@
 	$(RM) $(TGTS)
 	$(RM) -R cov-int
 	$(RM) -R swirc.analyze
+	$(RM) -R tmp
 	$(RM) PVS-Studio.log
 	$(RM) report.tasks
 	$(RM) strace_out
 	$(RM) swirc.html
 	$(RM) swirc.static.html
+	$(RM) swirc.tgz
 	$(MAKE) -Cpo clean
 	$(MAKE) -Ctests clean

=== debian/changelog ===
swirc (3.5.8-1) unstable; urgency=medium

  * New upstream version. (Added command '/log').

 -- Markus Uhlin <markus@nifty-networks.net>  Sat, 17 Jan 2026 17:05:44 +0100

## swirc 3.5.9

=== po/Makefile ===
--- 
+++ 
@@ -24,3 +24,5 @@
 	$(E) "  CLEAN"
 	$(RM) $(PKG).pot
 	$(RM) $(MOFILES)
+	$(RM) swirc-locales-*.cab
+	$(RM) -R swirc-locales-*

=== debian/changelog ===
swirc (3.5.9-1) unstable; urgency=medium

  * New upstream version.

 -- Markus Uhlin <markus@nifty-networks.net>  Sun, 22 Feb 2026 17:12:02 +0100
